Skip to main content

Which browsers are supported?

Chrome

We support the latest version of Google Chrome. Normally, Chrome updates automatically when a new version becomes available. If you don't have the latest version, you can update Chrome yourself. For details, see Update Google Chrome.

Firefox, Safari, Edge

We support the current and the previous release of Firefox®, Safari®, and Microsoft Edge™. Each time a new browser version is released, we begin supporting that version and stop supporting the third most recent version.

Other browsers

It is very likely that Ludus works fine in other modern browsers like Opera or Vivaldi, but we can't guarantee it and can't provide support for these browsers at this point. Use them at your own risk.